{% extends 'base.html.twig' %}

{% block title %}Nos annonces{% endblock %}

{% block body %}
<div class="container">

    <h1 class="my-5">Voici les annonces</h1>

    <div class="row">
    {% for ad in ads %}

        {% set url = path('ads_show', {'slug': ad.slugAd }) %}

        <div class="col-md-4">
            <div class="card-header text-center">
                {{ ad.roomsAd }} chambres, <strong class="font-weight-bold">{{ ad.priceAd }}&euro; / Nuit</strong><br>
                <small>Pas encore noté</small>
            </div>

            <a href="{{ url }}">
                <img src="{{ ad.coverImageAd }}" alt="Image de l'appartement" style="height: 200px; width: 100%; display:block">
            </a>

            <div class="card-body">
                <h4 class="card-title">
                    <a href="{{ url }}">
                        {{ ad.titleAd }} 
                    </a>
                </h4>
                <p class="card-text">
                    {{ ad.intoductionAd}}
                </p>
                <a href="{{ url }}" class="btn btn-outline-secondary">En savoir plus</a>
            </div>
        </div>
    {% endfor %}
    </div>
</div>
{% endblock %}
